Subject: Re: [netext] draft-ietf-netext-pmipv6-flowmob-04 Section 5.1

From: Behcet Sarikaya <[email-masked]>
Date: Sun, 4 Nov 2012 10:23:31 -0600

Hi Carlos,

Please see inline.

Regards,

Behcet

On Mon, Oct 22, 2012 at 12:32 PM, Carlos Jesús Bernardos Cano
<[email-masked]> wrote:
> Hi Behcet,
>
> On Tue, 2012-10-16 at 15:20 -0500, Behcet Sarikaya wrote:
>> Hi Carlos,
>>
>> My comments below.
>>
>> Regards,
>>
>> Behcet
>>
>> On Mon, Oct 8, 2012 at 2:28 AM, Carlos Jesús Bernardos Cano
>> <[email-masked]> wrote:
>> > Hi Behcet,
>> >
>> > On Mon, 2012-10-01 at 16:31 -0500, Behcet Sarikaya wrote:
>> >> Hi Carlos,
>> >>
>> >> Section 5.1 is entitled Multiple Care-of Address Registration. In
>> >> PMIPv6 there is no care-address so there can not be care-of address
>> >> registration, right?
>> >
>> > Would "Multiple Proxy Care-of Address Registration" suit you?
>> >
>>
>> Yes, it would be better. Also you need to distinguish home and visited
>> link registrations from simultaneously connected interfaces, similar
>> to RFC 5648. Feel free to take a look at
>> draft-sarikaya-netext-flowmob-ext-00. When you do this, it will be
>> easier for a MAG to know the interface of MN it serves is a home link
>> or visited link.
>>
>> Base PMIPv6 needs to be modified to enable multiple proxy care-of
>> address registrations, i.e. binding cache modifications are needed.
>
> This is already mentioned in the draft. I've tried to make it more clear
> in the next revision.
>

Sorry I did not have time to check the revision yet.

>>
>>
>> >>
>> >> In Figure 7, you have BID. This is adopted from RFC 5648.
>> >>
>> >> Can we really adopt BID in PMIPv6? Please refer to Section 3 in
>> >> draft-sarikaya-netext-flowmob-ext-00, unfortunately BID loses its
>> >> meaning in PMIPv6.
>> >
>> > I don't quite follow this. We are proposing to reuse some mechanisms (as
>> > RFC 5648) to avoid redoing the whole thing.
>> >
>>
>> Well, not everything in RFC 5648 applies to PMIPv6. BID does not apply.
>> So you need to reuse whatever applies or needed.
>
> Why BID does not apply? If the BC is extended to support multiple
> registrations, you need an identifier for each of them. The BID is used
> for that.
>

Here is a quote from draft-sarikaya-netext-flowmob-ext-00:
BID is mainly
   defined for multiple-interfaced mobile nodes with Mobile IPv6
   functionalities.  The BID is an identification number used to
   distinguish multiple bindings REGISTERED BY the MOBILE NODE.  Each
   BID is GENERATED and MANAGED by a MOBILE NODE in Mobile IPv6.  In
   Proxy Mobile IPv6, MOBILITY MANAGEMENT of MOBILE NODES WITH
MULTIPLE INTERFACES IS RUN in DIFFERENT INDEPENDENT MAGs, and BID
loses its
   meaning.

I capitalized the words that carry the main idea, which I think you
may have missed.

You seem to be of the opinion that you can use RFC 5648 and RFC 6089
as is in PMIPv6.

Yes, maybe you can but then you need MIPv6 MN not PMIPv6 MN. You also
need HA of MIPv6, not LMA of PMIPv6.

And then people will ask, why do we need a draft on PMIPv6 flow
mobility support, just use MIPv6 mobility solution with a MIPv6 client
on your MN.

I think that this is the main issue in Sections 3.2.2 and 3.2.3.

Regards,

Behcet